(function ($) {

/**
 * Triggers the AJAX call that checks system status.
 */
Drupal.behaviors.systemStatusAjax = {
  attach: function (context, settings) {
    $('#system-status-ajax-message:not(.ajax-processed)').addClass('ajax-processed').each(function () {
      $(this).parent().css({visibility: "visible"});

      // Build element settings.
      var element_settings = {};
      element_settings.progress = { 'type': 'throbber' };
      element_settings.url = '/admin/reports/status/ajax';
      element_settings.event = 'SystemStatusAjaxCheck';

      // Instantiate the AJAX object and trigger the event.
      var base = $(this).attr('id');
      var ajax = new Drupal.ajax(base, this, element_settings);
      $(ajax.element).trigger('SystemStatusAjaxCheck');
    });
  }
};

/**
 * Custom AJAX command that sets the message based on the status.
 */
$(function() {
  Drupal.ajax.prototype.commands.systemStatus = function (ajax, response, status) {
    var message = $('#system-status-ajax-message').parent();
    if (!response.data.status) {
      $(message).removeClass('warning').addClass('status');
    }
    else {
      $(message).removeClass('warning').addClass('error');
    }
    $('#system-status-ajax-message').html(response.data.message);
  };
});

})(jQuery);
